package com.test;

import com.itextpdf.text.Chunk;
import com.itextpdf.text.Document;
import com.itextpdf.text.Font;
import com.itextpdf.text.Image;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfPCell;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfWriter;
import java.io.FileOutputStream;

public class buildPdf {

   public static void main(String[] document) {
      Document document1 = new Document(PageSize.A4, 80.0F, 80.0F, 60.0F, 10.0F);
      PdfWriter pdfw = null;

      try {
         Image.getInstance("E:\\workspaceYq\\szyqjrb\\JavaSource\\images\\check.png");
         Image prh = Image.getInstance("E:\\workspaceYq\\szyqjrb\\JavaSource\\images\\uncheck.png");
         BaseFont fontChi_bd_ul_12 = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", false);
         Font chunk = new Font(fontChi_bd_ul_12, 30.0F, 1);
         Font fontChi_12 = new Font(fontChi_bd_ul_12, 10.0F, 0);
         Font fontChi_bd_ul_121 = new Font(fontChi_bd_ul_12, 12.0F, 4);
         pdfw = PdfWriter.getInstance(document1, new FileOutputStream("D:\\DAY_BY_DAY\\20191217\\1.pdf"));
         document1.open();
         new Paragraph();
         PdfPTable table1;
         (table1 = new PdfPTable(4)).setHorizontalAlignment(1);
         table1.setWidthPercentage(20.0F);
         float[] wid12 = new float[]{0.15F, 0.35F, 0.15F, 0.35F};
         table1.setWidths(wid12);
         prh.scalePercent(20.0F);
         PdfPCell wid121;
         (wid121 = new PdfPCell()).setImage(prh);
         wid121.setVerticalAlignment(5);
         wid121.setBorderWidth(0.0F);
         table1.addCell(wid121);
         (wid121 = new PdfPCell(new Paragraph("首贷      ", fontChi_12))).setVerticalAlignment(1);
         wid121.setBorderWidth(0.0F);
         table1.addCell(wid121);
         (wid121 = new PdfPCell()).setImage(prh);
         wid121.setVerticalAlignment(5);
         wid121.setBorderWidth(0.0F);
         table1.addCell(wid121);
         PdfPCell prh1;
         (prh1 = new PdfPCell(new Paragraph("续贷       ", fontChi_12))).setVerticalAlignment(5);
         prh1.setPaddingBottom(6.0F);
         prh1.setBorderWidth(0.0F);
         table1.addCell(prh1);
         PdfPTable prh2;
         (prh2 = new PdfPTable(2)).getDefaultCell().setBorderWidth(0.0F);
         prh2.setWidthPercentage(100.0F);
         wid12 = new float[]{0.8F, 0.2F};
         prh2.setWidths(wid12);
         prh2.addCell("");
         prh2.addCell(table1);
         document1.add(prh2);
         Paragraph prh3;
         (prh3 = new Paragraph()).setAlignment(2);
         prh3.setSpacingAfter(15.0F);
         document1.add(prh3);
         (prh3 = new Paragraph("苏州工业园区", chunk)).setAlignment(1);
         prh3.setSpacingAfter(8.0F);
         document1.add(prh3);
         (prh3 = new Paragraph("“园科贷”项目申报书", chunk)).setAlignment(1);
         prh3.setSpacingAfter(8.0F);
         document1.add(prh3);
         (prh3 = new Paragraph()).setAlignment(0);
         prh3.setSpacingAfter(60.0F);
         document1.add(prh3);
         (prh3 = new Paragraph()).setAlignment(0);
         prh3.setSpacingAfter(60.0F);
         document1.add(prh3);
         (prh3 = new Paragraph("申报企业名称（盖章）", fontChi_12)).setAlignment(1);
         Chunk chunk1 = new Chunk("                                         ", fontChi_bd_ul_121);
         prh3.add(chunk1);
         prh3.setSpacingAfter(10.0F);
         document1.add(prh3);
         (prh3 = new Paragraph("申报金额", fontChi_12)).setAlignment(1);
         chunk1 = new Chunk("                                                                      ", fontChi_bd_ul_121);
         prh3.add(chunk1);
         prh3.setSpacingAfter(10.0F);
         document1.add(prh3);
         (prh3 = new Paragraph("申报日期", fontChi_12)).setAlignment(1);
         chunk1 = new Chunk("                                                                      ", fontChi_bd_ul_121);
         prh3.add(chunk1);
         prh3.setSpacingAfter(10.0F);
         document1.add(prh3);
         (prh3 = new Paragraph("申报银行", fontChi_12)).setAlignment(1);
         chunk1 = new Chunk("                                                                      ", fontChi_bd_ul_121);
         prh3.add(chunk1);
         prh3.setSpacingAfter(10.0F);
         document1.add(prh3);
         (prh3 = new Paragraph()).setAlignment(0);
         prh3.setSpacingAfter(60.0F);
         document1.add(prh3);
         (prh3 = new Paragraph()).setAlignment(0);
         prh3.setSpacingAfter(60.0F);
         document1.add(prh3);
         (prh3 = new Paragraph("二〇一九年制", fontChi_12)).setAlignment(1);
         document1.add(prh3);
         document1.close();
         pdfw.flush();
         pdfw.close();
      } catch (Exception var10) {
         var10.printStackTrace();
      } finally {
         document1.close();
         if(pdfw != null) {
            pdfw.flush();
            pdfw.close();
         }

      }

   }
}
